local f = CreateFrame("Frame")
local CalendarGetNumPendingInvites = CalendarGetNumPendingInvites
f:RegisterEvent("PLAYER_LOGIN")
f:RegisterEvent("CALENDAR_UPDATE_PENDING_INVITES")
f:SetScript("OnEvent", function(self, event, ...)
	if event == "PLAYER_LOGIN" then
		if EnRT_CalendarNotificationEnabled == nil then EnRT_CalendarNotificationEnabled = false end
	elseif "CALENDAR_UPDATE_PENDING_INVITES" and EnRT_CalendarNotificationEnabled then
		local invites = CalendarGetNumPendingInvites()
		if invites > 0 then
			if invites > 10 then
				invites = 10 
			end
			C_Timer.After(1, function()
				PlaySoundFile("Interface\\AddOns\\EndlessRaidTools\\Sound\\CalendarNotification\\calnotyouhave.ogg", "master")
				C_Timer.After(2, function()
					PlaySoundFile("Interface\\AddOns\\EndlessRaidTools\\Sound\\CalendarNotification\\calnot" .. invites .. ".ogg", "master")
					C_Timer.After(2, function()
						PlaySoundFile("Interface\\AddOns\\EndlessRaidTools\\Sound\\CalendarNotification\\calnotinvites.ogg", "master")
					end)
				end)
			end)
		end
		f:UnregisterEvent("CALENDAR_UPDATE_PENDING_INVITES")
	end
end)